Package org.apache.sling.testing.mock.osgi.testsvc.osgiserviceutil

# Class ServiceInterface3ImplSelfReferencing

java.lang.Object
org.apache.sling.testing.mock.osgi.testsvc.osgiserviceutil.ServiceInterface3ImplSelfReferencing

All Implemented Interfaces:
  `ServiceInterface3`, `ServiceSuperInterface3`

public class ServiceInterface3ImplSelfReferencing extends Object implements ServiceInterface3

## Constructor Summary

Constructors
Constructor
Description
`ServiceInterface3ImplSelfReferencing()`

## Method Summary

Modifier and Type
Method
Description
`ServiceInterface3`
`getDefaultImplementation()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ServiceInterface3ImplSelfReferencing

public ServiceInterface3ImplSelfReferencing()

## Method Details

### getDefaultImplementation

public ServiceInterface3 getDefaultImplementation()